Subject: Re: plb_temac w/linux 2.6.18.1 driver init error

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 02 Nov 2006 00:52:56 -0500

I am not sure of the problem,
     but  I think you are using a different variation of the TEMAC than 
I am.
    My  TEMAC is configured with a DMA_TYPE of 1 and a DRE TYPE of 0
   
    I also thought the  XPacketFifo code was for DMA TYPE 1 which I 
beleive is the FIFO incarnation of the TEMAC.
    This driver is supposed to work with your TEMAC - I think.

robert corley wrote:
> Anyone?;
>
> The offending instruction is:
>
> out_be32((volatile unsigned *) InstancePtr->RegBaseAddress+XPF_V200A_RESET_REG_OFFSET, XPF_V200A_RESET_FIFO_MASK);
>
> called vai a #define in "drivers/xilinx_edk/xpacket_fifo_v2_00_a.c"
>
> Would anyone care to speculate if the error is in the out_be32 definition or is this a function of a memory access to an incorrect value?
>
> Here is the latest dump:
>
> [    2.702189] xtenet_probe: xtemac 0: IO resources obtained.  IRQ = 0, MEM = 0x60000000
> [    2.710095] xtenet_probe: xtemac 0: private data initialized
> [    2.715872]     remap info => start = 0x60000000, end=0x60003fff, total=16384, virtual dest.=0xc5050000
> [    2.725007] xtenet_probe: TEMAC config lookup succeeded.  Details = 
> [    2.731369]         Base address    = 0x60000000
> [    2.735471]         Unique ID       = 0x0000
> [    2.739230]         RCV FIFO depth  = 0x131072
> [    2.743161]         XMIT FIFO depth = 0x131072
> [    2.747091]         MAC FIFO depth  = 0x64
> [    2.750677]         IPIF/DMA config = 0x03
> [    2.754260]         DCR Host        = 0x0
> [    2.757759]         DRE Engine?     = 0x1
> [    2.761260] Initialize : Handlers set up.  Configuring FIFO access...
> [    2.767709] XPacketFifoV200a_Initialize : setting FIFO REG base address to 0xC5052010
> [    2.775548] XPacketFifoV200a_Initialize : setting FIFO DATA base address to 0xC5052200
> [    2.783474] XPacketFifoV200a_Initialize : setting IsReady to 286331153
> [    2.790011] XPacketFifoV200a_Initialize : resetting FIFO by writing 0x000A to 0xC5052010
> [    2.798103] Data machine check in kernel mode.
> [    2.802544] Oops: machine check, sig: 7 [#1]
>
> -cy
>
>
>
>
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein